#!/usr/bin/python

# osh
# Copyright (C) Jack Orenstein <jao@geophile.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import sys
import os

OSH_VERSION = '1.0.3'
OSH_DIR = 'osh-%s' % OSH_VERSION

def os_system(command):
    # print command
    os.system(command)

def os_chdir(dir):
    # print 'cd %s' % dir
    os.chdir(dir)

def args():
    args = sys.argv[1:]
    osh_base = args[0] # Typically /usr/share/osh. Where install package was put.
    if len(args) > 1:
        install_dir = args[1]
    else:
        install_dir = None
    return osh_base, install_dir

def main():
    osh_base, install_dir = args()
    os_chdir(osh_base)
    os_system('rm -rf %s' % OSH_DIR)
    os_system('tar mxzvf *.gz')
    os_chdir(OSH_DIR)
    if install_dir:
        os_system('rm -rf %s/*' % install_dir)
        os_system('python ./setup.py install --install-purelib %s' % install_dir)
    else:
        os_system('rm -rf %s/lib/python%s.%s/site-packages/osh' %
                  ((sys.prefix,) + sys.version_info[:2]))
        os_system('python ./setup.py install')
    os_chdir('..')
    os_system('rm -rf %s' % OSH_DIR)

if __name__ == '__main__':
    main()
